{
	name: "Starf Berry",
	spritenum: 472,
	isBerry: true,
	naturalGift: {
	  basePower: 100,
	  type: "Psychic"
	},
	onUpdate(pokemon) {
	  if (pokemon.hp <= pokemon.maxhp / 4 || pokemon.hp <= pokemon.maxhp / 2 && pokemon.hasAbility("gluttony") && pokemon.abilityState.gluttony) {
	    pokemon.eatItem();
	  }
	},
	onEat(pokemon) {
	  const stats = [];
	  let stat;
	  for (stat in pokemon.boosts) {
	    if (stat !== "accuracy" && stat !== "evasion" && pokemon.boosts[stat] < 6) {
	      stats.push(stat);
	    }
	  }
	  if (stats.length) {
	    const randomStat = this.sample(stats);
	    const boost = {};
	    boost[randomStat] = 2;
	    this.boost(boost);
	  }
	},
	num: 207,
	gen: 3
}